
public class CadastroClientes {

  private ListaClientes clientes;

  public CadastroClientes(ListaClientes l) {
	if (l == null) {
	  throw new IllegalArgumentException("Argumento lista clientes nula");
	}
	this.clientes = l;
  }
  public void atualizar(Cliente c) throws ClienteInexistenteException{
	  clientes.atualizar(c);
  }
  public void inserir(Cliente c) throws ClienteExistenteException{
    String cpf = c.getCpf();
    if (!clientes.existe(cpf)) {
      clientes.inserir(c);
    } else {
      throw new ClienteExistenteException("Cliente jah existe");
    }
  }
  public void remover(String cpf) throws ClienteInexistenteException{
	  clientes.remover(cpf);
  }
  public Cliente procurar(String cpf) throws ClienteInexistenteException{
	return clientes.procurar(cpf);
  }
}
